import type { PublicFiles } from "../build.js";
import type { NextConfig } from "./next-types.js";
export declare function setNodeEnv(): void;
export declare function generateUniqueId(): string;
export declare function loadConfig(nextDir: string): NextConfig;
export declare function loadBuildId(nextDir: string): string;
export declare function loadHtmlPages(nextDir: string): string[];
export declare function loadPublicAssets(openNextDir: string): PublicFiles;
export declare function loadRoutesManifest(nextDir: string): {
    rewrites: {
        beforeFiles: import("./next-types.js").RewriteDefinition[];
        afterFiles: import("./next-types.js").RewriteDefinition[];
        fallback: import("./next-types.js").RewriteDefinition[];
    };
    redirects: import("./next-types.js").RedirectDefinition[];
    routes: {
        static: import("./next-types.js").RouteDefinition[];
        dynamic: import("./next-types.js").RouteDefinition[];
        data: {
            static: import("./next-types.js").DataRouteDefinition[];
            dynamic: import("./next-types.js").DataRouteDefinition[];
        };
    };
};
export declare function loadConfigHeaders(nextDir: string): import("./next-types.js").Header[] | undefined;
export declare function loadAppPathsManifestKeys(nextDir: string): string[];
export declare function escapeRegex(str: string): string;
export declare function unescapeRegex(str: string): string;
export declare function parseCookies(cookies?: string | string[]): string[] | undefined;
